Skip to main content
POST
Fully Update Experiment

Authorizations

STATSIG-API-KEY
string
header
required

Headers

x-respect-review-settings
string

Optional header to respect review settings for mutation endpoints.

Path Parameters

id
string
required

id

Body

application/json
description
string
required

A helpful summary of what this experiment does

Maximum string length: 1000
idType
string
required

The type of ID which the experiment is based on

hypothesis
string
required

A statement that will be tested by this experiment

groups
object[]
required

The test groups for your experiment

allocation
number
required

Percent of layer allocated to this experiment

Required range: 0 <= x <= 100
targetingGateID
string | null
required

Restrict your experiment to users passing the selected feature gate

bonferroniCorrection
boolean
required

Is Bonferroni correction applied per variant?

defaultConfidenceInterval
enum<string>
required

Default error margin used for results

Available options:
80,
90,
95,
98,
99
status
enum<string>
required

The current status of the experiment

Available options:
active,
setup,
decision_made,
abandoned,
archived,
experiment_stopped,
assignment_stopped
secondaryIDType
string | null

The secondary ID type for the experiment used in WHN for ID resolution

Links to relevant documentation or resources

controlGroupID
string

Optional control group ID

primaryMetricTags
string[]

Primary metric tags for the experiment

secondaryMetricTags
string[]

Secondary metric tags for the experiment

primaryMetrics
object[]

Main metrics needed to evaluate your hypothesis

secondaryMetrics
object[]

Additional metrics to monitor that might impact the analysis or final decision of the experiment

targetApps

Target apps assigned to this experiment

tags
string[]

Tags associated with the experiment

duration
integer

How long the experiment is expected to last in days

Required range: x > 1
targetExposures
integer

Target exposures for the experiment

Required range: x > 1
sequentialTesting
boolean

Apply sequential testing?

bonferroniCorrectionPerMetric
boolean

Is Bonferroni correction applied per metric?

benjaminiHochbergPerVariant
boolean

Is Benjamini-Hochberg procedure applied per variant?

benjaminiHochbergPerMetric
boolean

Is Benjamini-Hochberg procedure applied per metric?

benjaminiPrimaryMetricsOnly
boolean

Is Benjamini-Hochberg procedure applied for primary metrics only?

launchedGroupID
string | null

ID of the launched group, null otherwise

assignmentSourceName
string

Source name of the assignment

assignmentSourceExperimentName
string

Name of the source experiment for assignment

creatorID
string | null

The Statsig ID of the creator of this experiment

creatorEmail
string | null

The email of the creator of this experiment

isAnalysisOnly
boolean | null

For Warehouse Native

team
string | null

The team name associated with the experiment, Enterprise only.

teamID
string | null

The team ID associated with the experiment, Enterprise only.

allocationDuration
integer | null

Warehouse Native Only - Allocation duration in days

Required range: x > 1
cohortedAnalysisDuration
integer

Warehouse Native Only - Cohorted analysis duration in days

Required range: x > 1
cohortedMetricsMatureAfterEnd
boolean

Warehouse Native Only - Allow cohort metrics to mature after experiment end

cohortWaitUntilEndToInclude
boolean

Warehouse Native Only - Whether to filter to units whose experiment cohort analysis duration is complete, if cohortedAnalysisDuration exists

fixedAnalysisDuration
integer

Fixed analysis duration in days

Required range: x > 1
scheduledReloadHour
integer

Warehouse Native only - UTC hour at which to run scheduled pulse loads

Required range: 0 <= x <= 23
scheduledReloadType
enum<string>

Warehouse Native only - reload type for scheduled reloads

Available options:
full,
incremental
analysisEndTime
string

Warehouse Native only - end time for analysis only experiments

precommitWebhook
object | null
assignmentSourceFilters
object[]

Array of criteria for filtering assignment sources.

analyticsType
enum<string>

The mode of analysis for the experiment, e.g frequentist, bayesian, sprt

Available options:
frequentist,
bayesian,
sprt

Response

Fully Update Experiment Success

message
string
required

A simple string explaining the result of the operation.

data
object
required

A single result.